Skip to content

observe_alerts_delete

Remove an alert rule and its firing history.

Tool

observe_alerts_delete

Remove an alert rule and its firing history.

Remove an alert rule and its firing history. To stop being alerted while keeping the history, set the rule disabled instead.

Behavior

HTTP
DELETE /observe/alerts/:id

Arguments

Name
Type
Required
Description
id
string
•
Identifier of the rule

Response

Field
Type
Always
Description
id
string
•
Identifier of the removed rule
deleted
boolean
•
Always true; the call fails otherwise

Try it

Remove an alert rule and its firing history.

When to use

Remove an alert rule and its firing history. To stop being alerted while keeping the history, set the rule disabled instead.

Example

Ask your agent something like this:

Remove an alert rule and its firing history.

The agent will invoke observe_alerts_delete with these arguments:

{
  "id": "<id>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select